% Joe Jupin
% Homework 4

%  clear all variables
clear all;

%  read image
Im8 = imread('phas1bwo.jpg');
% convert to grayscale
ImD = double(Im8);
% set image output to gray
colormap(gray);
% show unprocessed image
imshow(Im8);

% Edge detection using Sobel method
EdSob = edge(Im8, 'sobel');
figure, imshow(EdSob);

% Edge detection using Prewitt method
EdPre = edge(Im8, 'prewitt');
figure, imshow(EdPre);

% Edge detection using Roberts method
EdRob = edge(Im8, 'roberts');
figure, imshow(EdRob);

% Edge detection using Laplacian of Gaussian method
EdLog = edge(Im8, 'log');
figure, imshow(EdLog);

% Edge detection using Zero-cross method
EdZero = edge(Im8, 'zerocross', '', '');
figure, imshow(EdZero);

% Edge detection using Canny method
EdCan = edge(Im8, 'canny');
figure, imshow(EdCan);
